# Compatibility

## Supported Jira systems <a href="#supported-server-systems" id="supported-server-systems"></a>

SpecSync for Jira might work with other Jira installations as well, but it has been tested with the following configurations:

* Jira Cloud
* Jira Server / Data Center v9
* Jira Server / Data Center v8
* Zephyr Scale Server / Data Center v9

{% hint style="info" %}
For the different supported Test Case Management (TCM) solution, please check the [Jira Test Case Management (TCM) solution](/specsync/jira/important-concepts/jira-test-case-management-solutions.md) guide.
{% endhint %}

## Supported operating systems and platforms

SpecSync is supported on Windows, Linux and MacOS operating systems. It can be installed as a standalone tool or as a .NET tool. Please check [Installation & Setup](/specsync/jira/installation.md) for details on which installation option is available on the different target systems.

{% hint style="info" %}
SpecSync does not use Log4J and therefore it is not affected by the vulnerability [CVE-2021-44228](https://github.com/advisories/GHSA-jfh8-c2jp-5v3q).
{% endhint %}

## Supported .NET frameworks for running SpecSync as .NET tool

SpecSync can be run using the following .NET versions as a [.NET tool](/specsync/jira/installation/dotnet-core-tool.md):

* .NET 10 (latest, recommended)
* .NET 9
* .NET 8
* .NET 7 — *out of support by Microsoft, not recommended*
* .NET 6 — *out of support by Microsoft, not recommended*
* .NET Framework 4.7.2 — *up to SpecSync v3.4*
* .NET Framework 4.6.2 — *up to SpecSync v3.4*
* .NET 5 — *up to SpecSync v3.4*
* .NET 3.1 — *up to SpecSync v3.4*

{% hint style="warning" %}
The .NET 6 and .NET 7 frameworks are out of support and will [not receive security updates in the future](https://aka.ms/dotnet-core-support). SpecSync versions v6 and later will not run with .NET 6 and .NET 7. Please use SpecSync with .NET 8 or any of the other supported platforms.
{% endhint %}

{% hint style="info" %}
**Important:** The .NET framework used for running SpecSync does not have to be the same as the .NET framework of the synchronized project. For example, you can use SpecSync with .NET 8 to synchronize scenarios from a .NET Framework 4.7.2 project. This applies to any BDD project regardless of its framework (.NET, Java, Python, JavaScript, etc.).
{% endhint %}

## Supported BDD tools

SpecSync can synchronize any scenarios that are written in Gherkin format. Gherkin format is used by many tools in many platforms, like Cucumber, Cucumber JVM, Cucumber.js, Behat, Behave, SpecFlow and also Reqnroll. Please refer to the [Getting started](/specsync/jira/getting-started.md) for detailed instructions how to setup SpecSync with the different BDD tools.

## Supported test result formats

| BDD Tool                                                                    | Runner                        | Extension | Format specifier          |
| --------------------------------------------------------------------------- | ----------------------------- | --------- | ------------------------- |
| Reqnroll                                                                    | MsTest/NUnit/xUnit            | TRX       | `trx`                     |
| Reqnroll                                                                    | NUnit                         | XML       | `reqnrollNUnitXml`        |
| Reqnroll                                                                    | Cucumber Messages output      | NDJSON    | `cucumberMessagesNdjson`  |
| SpecFlow                                                                    | MsTest/NUnit/xUnit            | TRX       | `trx`                     |
| SpecFlow                                                                    | SpecFlow+ Runner              | TRX       | `trx`                     |
| SpecFlow                                                                    | NUnit                         | XML       | `specFlowNUnitXml`        |
| SpecFlow                                                                    | NUnit v2                      | XML       | `specFlowNUnit2Xml`       |
| Cucumber (Java, JavaScript, Ruby)                                           | `json` formatter              | JSON      | `cucumberJson`            |
| Cucumber (Java, JavaScript, Ruby)                                           | `message` formatter           | NDJSON    | `cucumberMessagesNdjson`  |
| Cucumber Java                                                               | JUnit                         | XML       | `cucumberJavaJUnitXml`    |
| Cucumber Java                                                               | Surefire                      | XML       | `cucumberJavaSurefireXml` |
| Cucumber.js                                                                 | cucumber-junit-formatter      | XML       | `cucumberJsJUnitXml`      |
| [Cypress](/specsync/jira/important-concepts/using-specsync-with-cypress.md) |                               | JSON      | `cypressCucumberJson`     |
| Jest                                                                        | jest-cucumber                 | XML       | `jestCucumberXml`         |
| Python Behave                                                               | `--junit`                     | XML       | `pythonBehaveXml`         |
| Python Behave                                                               | `-f json` or `-f json.pretty` | JSON      | `pythonBehaveJson`        |
| PyTest.BDD                                                                  |                               | XML       | `pyTestBddXml`            |
| Cucumber Studio (Hiptest)                                                   |                               | JSON      | `hiptestJson`             |

Other test result formats are added on request. Please [contact support](/specsync/jira/contact/specsync-support.md).

## Supported SpecFlow versions <a href="#supported-specflow-versions" id="supported-specflow-versions"></a>

Synchronizing scenarios from SpecFlow projects and publishing test results is supported for **any SpecFlow versions**.

## Supported Reqnroll versions <a href="#supported-reqnroll-versions" id="supported-reqnroll-versions"></a>

Synchronizing scenarios from [Reqnroll](https://reqnroll.net) projects and publishing test results is supported for **any Reqnroll versions**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/jira/reference/compatibility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
